From 9d88496c04a3bcbd4c6df8bd0e69cd612fa6e886 Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Thu, 12 Jan 2012 18:53:36 -0600
Subject: [PATCH] Added generics (part 1).

This patch is based on Adam's patch. It brings down the warnings
from 6139 to 4648.

Ticket #2
---
 pki/base/ca/src/com/netscape/ca/CAService.java     |   44 ++++----
 .../ca/src/com/netscape/ca/CMSCRLExtensions.java   |    4 +-
 .../ca/src/com/netscape/ca/CRLIssuingPoint.java    |   50 ++++----
 .../src/com/netscape/ca/CertificateAuthority.java  |   24 ++--
 .../netscape/certsrv/base/MetaAttributeDef.java    |    3 +-
 .../src/com/netscape/certsrv/ocsp/IDefStore.java   |    2 +-
 .../netscape/certsrv/policy/IGeneralNameUtil.java  |    3 +-
 .../netscape/certsrv/request/ARequestNotifier.java |    4 +-
 .../src/com/netscape/certsrv/request/IRequest.java |    8 +-
 .../src/com/netscape/certsrv/util/HttpInput.java   |   12 +-
 .../cms/authentication/DirBasedAuthentication.java |   14 ++-
 .../netscape/cms/authentication/FlatFileAuth.java  |    4 +-
 .../SSLclientCertAuthentication.java               |    2 +-
 .../crl/CMSAuthorityKeyIdentifierExtension.java    |    7 +-
 .../src/com/netscape/cms/jobs/PublishCertsJob.java |    4 +-
 .../common/src/com/netscape/cms/ocsp/DefStore.java |   53 ++++-----
 .../src/com/netscape/cms/ocsp/LDAPStore.java       |   20 ++--
 .../cms/policy/constraints/IssuerConstraints.java  |    2 +-
 .../cms/policy/constraints/RenewalConstraints.java |    2 +-
 .../constraints/RenewalValidityConstraints.java    |    8 +-
 .../constraints/SigningAlgorithmConstraints.java   |    9 +-
 .../constraints/UniqueSubjectNameConstraints.java  |   17 ++--
 .../cms/policy/extensions/AuthInfoAccessExt.java   |   32 +++---
 .../extensions/AuthorityKeyIdentifierExt.java      |    8 +-
 .../cms/policy/extensions/BasicConstraintsExt.java |   10 +-
 .../extensions/CRLDistributionPointsExt.java       |   14 +-
 .../policy/extensions/CertificatePoliciesExt.java  |   18 ++--
 .../extensions/CertificateRenewalWindowExt.java    |   10 +-
 .../extensions/CertificateScopeOfUseExt.java       |   24 ++--
 .../cms/policy/extensions/ExtendedKeyUsageExt.java |   14 +-
 .../cms/policy/extensions/GenericASN1Ext.java      |   14 +-
 .../cms/policy/extensions/IssuerAltNameExt.java    |   10 +-
 .../cms/policy/extensions/KeyUsageExt.java         |    8 +-
 .../cms/policy/extensions/NSCCommentExt.java       |    8 +-
 .../cms/policy/extensions/NSCertTypeExt.java       |    8 +-
 .../cms/policy/extensions/NameConstraintsExt.java  |   20 ++--
 .../cms/policy/extensions/OCSPNoCheckExt.java      |    8 +-
 .../policy/extensions/PolicyConstraintsExt.java    |   10 +-
 .../cms/policy/extensions/PolicyMappingsExt.java   |   14 +-
 .../cms/policy/extensions/PresenceExt.java         |    8 +-
 .../extensions/PrivateKeyUsagePeriodExt.java       |   12 +-
 .../extensions/RemoveBasicConstraintsExt.java      |    8 +-
 .../cms/policy/extensions/SubjAltNameExt.java      |   24 ++--
 .../cms/policy/extensions/SubjectAltNameExt.java   |   16 ++--
 .../extensions/SubjectDirectoryAttributesExt.java  |   22 ++--
 .../policy/extensions/SubjectKeyIdentifierExt.java |    8 +-
 .../netscape/cms/profile/common/BasicProfile.java  |   12 +-
 .../netscape/cms/profile/common/EnrollProfile.java |    7 +-
 .../cms/profile/constraint/EnrollConstraint.java   |    8 +-
 .../cms/profile/constraint/KeyConstraint.java      |    4 +-
 .../constraint/RenewGracePeriodConstraint.java     |    4 +-
 .../constraint/UniqueSubjectNameConstraint.java    |    8 +-
 .../cms/profile/constraint/ValidityConstraint.java |    4 +-
 .../def/CRLDistributionPointsExtDefault.java       |    8 +-
 .../profile/def/CertificatePoliciesExtDefault.java |   85 ++++++++------
 .../netscape/cms/profile/def/EnrollDefault.java    |   22 ++--
 .../cms/profile/def/FreshestCRLExtDefault.java     |    8 +-
 .../cms/profile/def/IssuerAltNameExtDefault.java   |    2 +-
 .../cms/profile/def/NameConstraintsExtDefault.java |   22 ++--
 .../cms/profile/def/PolicyMappingsExtDefault.java  |   14 +-
 .../cms/profile/def/SubjectAltNameExtDefault.java  |   10 +-
 .../def/SubjectDirAttributesExtDefault.java        |   26 ++--
 .../cms/profile/def/nsNKeySubjectNameDefault.java  |    4 +-
 .../def/nsTokenUserKeySubjectNameDefault.java      |    4 +-
 .../cms/publish/mappers/LdapEnhancedMap.java       |   10 +-
 .../cms/publish/mappers/LdapSimpleMap.java         |    8 +-
 .../cms/publish/mappers/MapAVAPattern.java         |    8 +-
 .../netscape/cms/publish/mappers/MapDNPattern.java |    6 +-
 .../cms/publish/mappers/MapRDNPattern.java         |    6 +-
 .../cms/publish/publishers/FileBasedPublisher.java |    8 +-
 .../publishers/LdapEncryptCertPublisher.java       |   21 ++--
 .../cms/servlet/admin/CMSAdminServlet.java         |   83 ++++++++-----
 .../cms/servlet/admin/ProfileAdminServlet.java     |    8 +-
 .../cms/servlet/admin/PublisherAdminServlet.java   |   30 +++--
 .../cms/servlet/admin/RegistryAdminServlet.java    |   10 +-
 .../com/netscape/cms/servlet/base/CMSServlet.java  |    4 +-
 .../cms/servlet/cert/CMCRevReqServlet.java         |   21 ++--
 .../servlet/cert/ChallengeRevocationServlet1.java  |   17 ++--
 .../netscape/cms/servlet/cert/DisplayBySerial.java |    6 +-
 .../com/netscape/cms/servlet/cert/DoRevoke.java    |   18 ++--
 .../com/netscape/cms/servlet/cert/DoRevokeTPS.java |   14 +-
 .../netscape/cms/servlet/cert/EnrollServlet.java   |    9 +-
 .../cms/servlet/cert/HashEnrollServlet.java        |   15 ++-
 .../com/netscape/cms/servlet/cert/ListCerts.java   |   25 ++--
 .../com/netscape/cms/servlet/cert/SrchCerts.java   |   12 +-
 .../com/netscape/cms/servlet/cert/UpdateCRL.java   |   19 ++--
 .../cms/servlet/cert/scep/CRSEnrollment.java       |   97 ++++++++-------
 .../cms/servlet/cert/scep/ChallengePassword.java   |    6 +-
 .../cms/servlet/cert/scep/ExtensionsRequested.java |    9 +-
 .../cms/servlet/common/CMCOutputTemplate.java      |   38 +++---
 .../cms/servlet/connector/ConnectorServlet.java    |    4 +-
 .../servlet/csadmin/AdminAuthenticatePanel.java    |   13 +-
 .../netscape/cms/servlet/csadmin/AdminPanel.java   |    9 +-
 .../cms/servlet/csadmin/CertRequestPanel.java      |   12 +-
 .../com/netscape/cms/servlet/csadmin/CertUtil.java |    4 +-
 .../cms/servlet/csadmin/DatabasePanel.java         |   22 ++--
 .../cms/servlet/csadmin/DisplayCertChainPanel.java |   11 +-
 .../netscape/cms/servlet/csadmin/DonePanel.java    |   23 ++--
 .../netscape/cms/servlet/csadmin/NamePanel.java    |   20 ++--
 .../cms/servlet/csadmin/RestoreKeyCertPanel.java   |   17 ++-
 .../netscape/cms/servlet/csadmin/SizePanel.java    |   16 ++-
 .../cms/servlet/csadmin/WizardPanelBase.java       |    6 +-
 .../cms/servlet/ocsp/CheckCertServlet.java         |    4 +-
 .../netscape/cms/servlet/ocsp/ListCAServlet.java   |    2 +-
 .../cms/servlet/processors/CMCProcessor.java       |    5 +-
 .../cms/servlet/processors/CRMFProcessor.java      |    4 +-
 .../cms/servlet/profile/ProfileSubmitServlet.java  |   51 ++++----
 .../cms/servlet/request/CertReqParser.java         |   57 +++++-----
 .../netscape/cms/servlet/request/CheckRequest.java |   13 ++-
 .../cms/servlet/request/ProcessCertReq.java        |   22 ++--
 .../com/netscape/cms/servlet/tks/TokenServlet.java |   32 +++--
 .../src/com/netscape/cmscore/apps/CMSEngine.java   |   19 ++--
 .../src/com/netscape/cmscore/apps/Setup.java       |   16 ++-
 .../src/com/netscape/cmscore/cert/CertUtils.java   |   12 +-
 .../netscape/cmscore/cert/CrlCachePrettyPrint.java |    9 +-
 .../netscape/cmscore/cert/OidLoaderSubsystem.java  |    2 +-
 .../netscape/cmscore/connector/HttpPKIMessage.java |    6 +-
 .../netscape/cmscore/connector/LocalConnector.java |    5 +-
 .../cmscore/dbs/CertificateRepository.java         |   12 +-
 .../com/netscape/cmscore/dbs/KeyRepository.java    |   13 +-
 .../netscape/cmscore/dbs/ReplicaIDRepository.java  |    8 +-
 .../netscape/cmscore/dbs/RevocationInfoMapper.java |    8 +-
 .../netscape/cmscore/dbs/X509CertImplMapper.java   |   16 ++--
 .../cmscore/extensions/CMSExtensionsMap.java       |    6 +-
 .../src/com/netscape/cmscore/jobs/JobCron.java     |    8 +-
 .../src/com/netscape/cmscore/ldap/LdapRule.java    |   27 ++--
 .../com/netscape/cmscore/logging/LogSubsystem.java |    4 +-
 .../notification/ReqCertSANameEmailResolver.java   |   10 +-
 .../netscape/cmscore/registry/PluginRegistry.java  |    3 +-
 .../netscape/cmscore/request/ARequestQueue.java    |   77 +++++++------
 .../netscape/cmscore/request/ExtDataHashtable.java |   18 ++--
 .../netscape/cmscore/request/RequestRecord.java    |    2 +-
 .../netscape/cmscore/security/JssSubsystem.java    |   52 +++++----
 .../com/netscape/cmscore/security/KeyCertUtil.java |    5 +-
 .../com/netscape/cmscore/util/UtilResources.java   |    2 +-
 .../netscape/certsrv/app/CMSEngineDefaultStub.java |   85 +++++++++-----
 .../cmscore/request/ExtDataHashtableTest.java      |   10 +-
 .../cmscore/request/RequestDefaultStub.java        |   12 +-
 .../cmscore/request/RequestRecordTest.java         |    6 +-
 .../com/netscape/cmscore/request/RequestTest.java  |   63 +++++-----
 .../src/com/netscape/cmstools/CMCEnroll.java       |    4 +-
 .../src/com/netscape/cmstools/CMCRequest.java      |    4 +-
 .../src/com/netscape/cmstools/CMCRevoke.java       |   36 +++---
 .../src/com/netscape/cmstools/CRMFPopClient.java   |   19 ++--
 .../src/com/netscape/cmstools/GenExtKeyUsage.java  |    4 +-
 .../src/com/netscape/cmstools/PrettyPrintCert.java |    2 +-
 .../src/com/netscape/kra/EnrollmentService.java    |   30 +++--
 .../src/com/netscape/kra/KeyRecoveryAuthority.java |   11 +-
 .../kra/src/com/netscape/kra/RecoveryService.java  |    8 +-
 .../com/netscape/kra/TokenKeyRecoveryService.java  |    8 +-
 .../src/com/netscape/pkisilent/common/CMSLDAP.java |    6 +-
 .../src/com/netscape/pkisilent/common/Request.java |    5 +-
 .../com/netscape/pkisilent/common/TestClient.java  |    3 +-
 .../com/netscape/pkisilent/common/Utilities.java   |    8 --
 .../com/netscape/cmsutil/crypto/CryptoUtil.java    |   10 +-
 .../com/netscape/cmsutil/scep/CRSPKIMessage.java   |   18 ++--
 .../extensions/AuthInfoAccessExtension.java        |   13 +--
 .../CertificateRenewalWindowExtension.java         |    5 +-
 .../extensions/CertificateScopeOfUseExtension.java |   10 +-
 .../extensions/ExtendedKeyUsageExtension.java      |   20 ++--
 .../security/extensions/GenericASN1Extension.java  |   22 ++--
 .../extensions/InhibitAnyPolicyExtension.java      |    2 +-
 .../netscape/security/extensions/KerberosName.java |    6 +-
 .../security/extensions/NSCertTypeExtension.java   |    4 +-
 .../security/extensions/OCSPNoCheckExtension.java  |    2 +-
 .../extensions/PresenceServerExtension.java        |    2 +-
 .../extensions/SubjectInfoAccessExtension.java     |   13 +--
 .../netscape/security/pkcs/PKCS10Attribute.java    |    9 +-
 .../src/netscape/security/pkcs/PKCS9Attribute.java |   50 ++++-----
 .../security/provider/X509CertificateFactory.java  |    4 +-
 .../netscape/security/util/CertPrettyPrint.java    |    4 +-
 .../src/netscape/security/util/CrlPrettyPrint.java |    9 +-
 .../src/netscape/security/util/ExtPrettyPrint.java |   47 ++++----
 .../src/netscape/security/x509/ACertAttrSet.java   |    2 +-
 .../src/netscape/security/x509/AlgorithmId.java    |    3 +-
 .../x509/AuthorityKeyIdentifierExtension.java      |    2 +-
 .../security/x509/BasicConstraintsExtension.java   |    2 +-
 .../x509/CRLDistributionPointsExtension.java       |    7 +-
 .../netscape/security/x509/CRLNumberExtension.java |    2 +-
 .../netscape/security/x509/CRLReasonExtension.java |    2 +-
 .../src/netscape/security/x509/CertAttrSet.java    |    2 +-
 .../security/x509/CertificateAlgorithmId.java      |    2 +-
 .../security/x509/CertificateExtensions.java       |   33 +++--
 .../security/x509/CertificateIssuerExtension.java  |    2 +-
 .../security/x509/CertificateIssuerName.java       |    2 +-
 .../x509/CertificateIssuerUniqueIdentity.java      |    2 +-
 .../x509/CertificatePoliciesExtension.java         |   15 ++-
 .../security/x509/CertificateSerialNumber.java     |    2 +-
 .../security/x509/CertificateSubjectName.java      |    2 +-
 .../x509/CertificateSubjectUniqueIdentity.java     |    2 +-
 .../security/x509/CertificateValidity.java         |    2 +-
 .../netscape/security/x509/CertificateVersion.java |    2 +-
 .../netscape/security/x509/CertificateX509Key.java |    2 +-
 .../security/x509/DeltaCRLIndicatorExtension.java  |    2 +-
 .../src/netscape/security/x509/Extensions.java     |   31 +++---
 .../security/x509/FreshestCRLExtension.java        |    7 +-
 .../security/x509/HoldInstructionExtension.java    |    2 +-
 .../security/x509/InvalidityDateExtension.java     |    2 +-
 .../x509/IssuerAlternativeNameExtension.java       |    2 +-
 .../x509/IssuingDistributionPointExtension.java    |    2 +-
 .../netscape/security/x509/KeyUsageExtension.java  |    2 +-
 .../security/x509/NSCCommentExtension.java         |   13 +-
 .../security/x509/NameConstraintsExtension.java    |    2 +-
 .../util/src/netscape/security/x509/OIDMap.java    |    6 +-
 .../security/x509/PolicyConstraintsExtension.java  |    2 +-
 .../security/x509/PolicyMappingsExtension.java     |    3 +-
 .../security/x509/PrivateKeyUsageExtension.java    |    2 +-
 .../netscape/security/x509/RevokedCertImpl.java    |  127 +++++++++++---------
 .../netscape/security/x509/RevokedCertificate.java |    3 +
 .../x509/SubjectAlternativeNameExtension.java      |    2 +-
 .../x509/SubjectDirAttributesExtension.java        |    2 +-
 .../x509/SubjectKeyIdentifierExtension.java        |    2 +-
 .../util/src/netscape/security/x509/X500Name.java  |    2 +-
 .../netscape/security/x509/X500NameAttrMap.java    |    3 +-
 .../src/netscape/security/x509/X509CertImpl.java   |   16 ++--
 .../src/netscape/security/x509/X509CertInfo.java   |    2 +-
 .../extensions/GenericASN1ExtensionTest.java       |   72 +++++++++++
 217 files changed, 1656 insertions(+), 1388 deletions(-)
 create mode 100644 pki/base/util/test/com/netscape/security/extensions/GenericASN1ExtensionTest.java

diff --git a/pki/base/ca/src/com/netscape/ca/CAService.java b/pki/base/ca/src/com/netscape/ca/CAService.java
index d6f02a059030c1e1cd3ce7826439fe7a74e06321..d086ee551ae25b9f893c63d2160471e6ecf2e51e 100644
--- a/pki/base/ca/src/com/netscape/ca/CAService.java
+++ b/pki/base/ca/src/com/netscape/ca/CAService.java
@@ -45,6 +45,7 @@ import netscape.security.x509.CertificateIssuerName;
 import netscape.security.x509.CertificateSerialNumber;
 import netscape.security.x509.CertificateSubjectName;
 import netscape.security.x509.CertificateValidity;
+import netscape.security.x509.Extension;
 import netscape.security.x509.LdapV3DNStrConverter;
 import netscape.security.x509.PKIXExtensions;
 import netscape.security.x509.RevocationReason;
@@ -104,11 +105,11 @@ public class CAService implements ICAService, IService {
     protected static IConnector mCLAConnector = null;
 
     private ICertificateAuthority mCA = null;
-    private Hashtable mServants = new Hashtable();
+    private Hashtable<String, IServant> mServants = new Hashtable<String, IServant>();
     private IConnector mKRAConnector = null;
     private IConfigStore mConfig = null;
     private boolean mArchivalRequired = true;
-    private Hashtable mCRLIssuingPoints = new Hashtable();
+    private Hashtable<String, ICRLIssuingPoint> mCRLIssuingPoints = new Hashtable<String, ICRLIssuingPoint>();
 
     private ILogger mSignedAuditLogger = CMS.getSignedAuditLogger();
     private final static String LOGGING_SIGNED_AUDIT_PRIVATE_KEY_ARCHIVE_REQUEST =
@@ -289,7 +290,8 @@ public class CAService implements ICAService, IService {
             if (timeout == 0)
                 connector = new HttpConnector((IAuthority) mCA, nickname, remauthority, resendInterval, config);
             else
-                connector = new HttpConnector((IAuthority) mCA, nickname, remauthority, resendInterval, config, timeout);
+                connector =
+                        new HttpConnector((IAuthority) mCA, nickname, remauthority, resendInterval, config, timeout);
             // Change end			
 
             // log(ILogger.LL_INFO, "remote authority "+ 
@@ -370,8 +372,8 @@ public class CAService implements ICAService, IService {
         // short cut profile-based request
         if (isProfileRequest(request)) {
             try {
-                CMS.debug("CAServic: x0 requestStatus=" + request.getRequestStatus().toString() + " instance="
-                        + request);
+                CMS.debug("CAServic: x0 requestStatus="
+                        + request.getRequestStatus().toString() + " instance=" + request);
                 serviceProfileRequest(request);
                 request.setExtData(IRequest.RESULT, IRequest.RES_SUCCESS);
                 CMS.debug("CAServic: x1 requestStatus=" + request.getRequestStatus().toString());
@@ -530,7 +532,7 @@ public class CAService implements ICAService, IService {
     /**
      * get CRL Issuing Point
      */
-    public Hashtable getCRLIssuingPoints() {
+    public Hashtable<String, ICRLIssuingPoint> getCRLIssuingPoints() {
         return mCRLIssuingPoints;
     }
 
@@ -683,7 +685,7 @@ public class CAService implements ICAService, IService {
                 exts = (CertificateExtensions)
                         certi.get(X509CertInfo.EXTENSIONS);
                 if (exts != null) {
-                    Enumeration e = exts.getElements();
+                    Enumeration<Extension> e = exts.getAttributes();
 
                     while (e.hasMoreElements()) {
                         netscape.security.x509.Extension ext = (netscape.security.x509.Extension) e.nextElement();
@@ -918,7 +920,7 @@ public class CAService implements ICAService, IService {
                 } else {
                     if (Debug.ON) {
                         System.out.println("Old meta info");
-                        Enumeration n = oldMeta.getElements();
+                        Enumeration<String> n = oldMeta.getElements();
 
                         while (n.hasMoreElements()) {
                             String name = (String) n.nextElement();
@@ -945,7 +947,7 @@ public class CAService implements ICAService, IService {
                             mCA.getCertificateRepository().readCertificateRecord(oldSerialNo);
                     MetaInfo meta = check.getMetaInfo();
 
-                    Enumeration n = oldMeta.getElements();
+                    Enumeration<String> n = oldMeta.getElements();
 
                     while (n.hasMoreElements()) {
                         String name = (String) n.nextElement();
@@ -1012,7 +1014,7 @@ public class CAService implements ICAService, IService {
             mCA.log(ILogger.LL_INFO, CMS.getLogMessage("CMSCORE_CA_CERT_REVOKED",
                     serialno.toString(16)));
             // inform all CRLIssuingPoints about revoked certificate
-            Enumeration eIPs = mCRLIssuingPoints.elements();
+            Enumeration<ICRLIssuingPoint> eIPs = mCRLIssuingPoints.elements();
 
             while (eIPs.hasMoreElements()) {
                 ICRLIssuingPoint ip = (ICRLIssuingPoint) eIPs.nextElement();
@@ -1100,7 +1102,7 @@ public class CAService implements ICAService, IService {
                         certRec.getRevokedOn(), certRec.getRevokedBy());
                 mCA.log(ILogger.LL_INFO, CMS.getLogMessage("CMSCORE_CA_CERT_UNREVOKED", serialNo.toString(16)));
                 // inform all CRLIssuingPoints about unrevoked certificate
-                Enumeration eIPs = mCRLIssuingPoints.elements();
+                Enumeration<ICRLIssuingPoint> eIPs = mCRLIssuingPoints.elements();
 
                 while (eIPs.hasMoreElements()) {
                     ICRLIssuingPoint ip = (ICRLIssuingPoint) eIPs.nextElement();
@@ -1620,15 +1622,15 @@ class serviceCheckChallenge implements IServant {
                 String filter = "(&(x509cert.subject=" + subjectName + ")(certStatus=VALID))";
                 ICertRecordList list = certDB.findCertRecordsInList(filter, null, 10);
                 int size = list.getSize();
-                Enumeration en = list.getCertRecords(0, size - 1);
+                Enumeration<ICertRecord> en = list.getCertRecords(0, size - 1);
 
                 if (!en.hasMoreElements()) {
                     bigIntArray = new BigInteger[0];
                 } else {
-                    Vector idv = new Vector();
+                    Vector<BigInteger> idv = new Vector<BigInteger>();
 
                     while (en.hasMoreElements()) {
-                        CertRecord record = (CertRecord) en.nextElement();
+                        ICertRecord record = en.nextElement();
                         boolean samepwd = compareChallengePassword(record, pwd);
 
                         if (samepwd) {
@@ -1650,7 +1652,7 @@ class serviceCheckChallenge implements IServant {
         return true;
     }
 
-    private boolean compareChallengePassword(CertRecord record, String pwd)
+    private boolean compareChallengePassword(ICertRecord record, String pwd)
             throws EBaseException {
         MetaInfo metaInfo = (MetaInfo) record.get(CertRecord.ATTR_META_INFO);
 
@@ -1931,7 +1933,7 @@ class serviceGetRevocationInfo implements IServant {
 
     public boolean service(IRequest request)
             throws EBaseException {
-        Enumeration enum1 = request.getExtDataKeys();
+        Enumeration<String> enum1 = request.getExtDataKeys();
 
         while (enum1.hasMoreElements()) {
             String name = (String) enum1.nextElement();
@@ -1971,7 +1973,7 @@ class serviceGetCertificates implements IServant {
 
     public boolean service(IRequest request)
             throws EBaseException {
-        Enumeration enum1 = request.getExtDataKeys();
+        Enumeration<String> enum1 = request.getExtDataKeys();
 
         while (enum1.hasMoreElements()) {
             String name = (String) enum1.nextElement();
@@ -2040,8 +2042,8 @@ class serviceCert4Crl implements IServant {
                 //				mService.revokeCert(crlentries[i]);
                 recordedCerts[i] = revokedCertRecs[i];
                 // inform all CRLIssuingPoints about revoked certificate
-                Hashtable hips = mService.getCRLIssuingPoints();
-                Enumeration eIPs = hips.elements();
+                Hashtable<String, ICRLIssuingPoint> hips = mService.getCRLIssuingPoints();
+                Enumeration<ICRLIssuingPoint> eIPs = hips.elements();
 
                 while (eIPs.hasMoreElements()) {
                     ICRLIssuingPoint ip = (ICRLIssuingPoint) eIPs.nextElement();
@@ -2102,8 +2104,8 @@ class serviceUnCert4Crl implements IServant {
             try {
                 mCA.getCertificateRepository().deleteCertificateRecord(oldSerialNo[i]);
                 // inform all CRLIssuingPoints about unrevoked certificate
-                Hashtable hips = mService.getCRLIssuingPoints();
-                Enumeration eIPs = hips.elements();
+                Hashtable<String, ICRLIssuingPoint> hips = mService.getCRLIssuingPoints();
+                Enumeration<ICRLIssuingPoint> eIPs = hips.elements();
 
                 while (eIPs.hasMoreElements()) {
                     ICRLIssuingPoint ip = (ICRLIssuingPoint) eIPs.nextElement();
diff --git a/pki/base/ca/src/com/netscape/ca/CMSCRLExtensions.java b/pki/base/ca/src/com/netscape/ca/CMSCRLExtensions.java
index d9e14884a6f217ddb8b687131d4049d6388cbef3..0d98b96319539c896f5b7d7f88950baef4c96a1d 100644
--- a/pki/base/ca/src/com/netscape/ca/CMSCRLExtensions.java
+++ b/pki/base/ca/src/com/netscape/ca/CMSCRLExtensions.java
@@ -623,8 +623,8 @@ public class CMSCRLExtensions implements ICMSCRLExtensions {
 
                 CMSCRLExtensions cmsCRLExtensions = (CMSCRLExtensions) ip.getCRLExtensions();
                 if (cmsCRLExtensions != null) {
-                    issuingDistPointExtEnabled = cmsCRLExtensions
-                            .isCRLExtensionEnabled(IssuingDistributionPointExtension.NAME);
+                    issuingDistPointExtEnabled =
+                            cmsCRLExtensions.isCRLExtensionEnabled(IssuingDistributionPointExtension.NAME);
                 }
 
                 CMS.debug("issuingDistPointExtEnabled = " + issuingDistPointExtEnabled);
